[Plugin] ltConfig v0.3.1

Suggest, post, or discuss plugins for Deluge
mhertz
Leecher
Leecher
Posts: 85
Joined: Wed Jan 22, 2014 5:05 am
OS or Distro: Arch Linux

Re: [Plugin] ltConfig v0.3.0

Postby mhertz » Tue Jun 20, 2017 4:41 pm

Ratanak wrote:[...]
libtorrent >= 1.1.1 should be compatible with Deluge 1.3.x as long as libtorrent is built with --enable-deprecated-functions configured.

I run deluge 1.3.15 fine without '--enable-deprecated-functions'-built libtorrent v1.1.3.

(Per the packages provided in the Arch Linux repo - just checked pkgbuild script for libtorrent)

...Just for others reading this and thinking they need to rebuild(and not having issues).

Ratanak
Leecher
Leecher
Posts: 98
Joined: Sat Dec 22, 2012 4:47 am
OS or Distro: Windows 7

Re: [Plugin] ltConfig v0.3.0

Postby Ratanak » Wed Jun 21, 2017 3:05 am

It's enabled by default. Just wanted to bring awareness to it in case it becomes necessary in the future when the functions really become deprecated and may no longer be enabled by default.

mhertz
Leecher
Leecher
Posts: 85
Joined: Wed Jan 22, 2014 5:05 am
OS or Distro: Arch Linux

Re: [Plugin] ltConfig v0.3.1

Postby mhertz » Wed Jun 21, 2017 12:28 pm

Sorry Ratanak, good call of course and sorry for the meddling/misunderstanding :)

mhertz
Leecher
Leecher
Posts: 85
Joined: Wed Jan 22, 2014 5:05 am
OS or Distro: Arch Linux

Re: [Plugin] ltConfig v0.3.1

Postby mhertz » Thu Jun 22, 2017 3:48 pm

Ratanak, I love you man(in a non gay way of course :) ). Great job! :) 20 runs with v0.3.1, all works perfect, then 20 runs again with v0.3.0, all fails bootstraping DHT with force_proxy. Thank you again! :)


Return to “Plugins”

Who is online

Users browsing this forum: No registered users and 1 guest